> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# SeeDance-2.0

> Generate video using SeeDance-2.0 model



## OpenAPI

````yaml /api-reference/video/openapi.json post /v1/video/seedancev2
openapi: 3.0.3
info:
  title: Video Service API
  description: >-
    Video Generation Service API - Provides various AI video generation, task
    queries and history features
  version: 1.0.1
  contact:
    name: API Support
servers:
  - url: https://api.tensorslab.com
    description: Development environment
security: []
tags:
  - name: Video Generation
    description: Video generation related interfaces
  - name: Task Management
    description: Task management related interfaces
paths:
  /v1/video/seedancev2:
    post:
      tags:
        - Video Generation
      summary: SeeDance-2.0
      description: Generate video using SeeDance-2.0 model
      operationId: seeDanceV2
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  description: Prompt description
                  maxLength: 8192
                sourceImage:
                  type: array
                  items:
                    type: string
                    format: binary
                  description: Source image files (1-2 images)
                ratio:
                  type: string
                  description: Video aspect ratio
                  default: '9:16'
                  enum:
                    - '16:9'
                    - '4:3'
                    - '1:1'
                    - '3:4'
                    - '9:16'
                    - '21:9'
                    - adaptive
                duration:
                  type: integer
                  description: Video duration (seconds)
                  default: 5
                  enum:
                    - 5
                    - 10
                    - 15
                seed:
                  type: integer
                  description: Random seed
                resolution:
                  type: string
                  description: Video resolution
                  enum:
                    - 480p
                    - 720p
                  default: 720p
                fps:
                  type: string
                  description: Frame rate
                  default: '24'
                generate_audio:
                  type: string
                  description: Generate audio, 1 for enabled
                  enum:
                    - '0'
                    - '1'
                return_last_frame:
                  type: string
                  description: Return last frame, 1 for enabled
                  enum:
                    - '0'
                    - '1'
                execution_expires_after:
                  type: integer
                  description: Execution expires after (seconds)
                  minimum: 3600
                  maximum: 259200
                websearch:
                  type: string
                  description: Web search, 1 for enabled
                  enum:
                    - '0'
                    - '1'
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GeneralResponse:
      type: object
      description: General response
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/GeneralData'
          required:
            - data
    BaseResponse:
      type: object
      description: Base response structure
      properties:
        code:
          type: integer
          description: >-
            Response status code: 1000=Success, 9999=Failure, 9000=Insufficient
            Credits
        msg:
          type: string
          description: Response message
      required:
        - code
        - msg
    GeneralData:
      type: object
      description: General data response
      properties:
        taskid:
          type: string
          description: Task ID, used for subsequent task status queries
      required:
        - taskid
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key Authorization

````